/*******************************************************************************
*
*                    ATmega8 Timer 1 Fast PWM 8 Bit
*                    ------------------------------
*
*   Filename:                                    
*   Autor:                  David Kress
*
*   Version:                1.0
*   Date:                   19.1.2013
*   Built with:             ATMEL AVR Studio 4.14 and AVR-GCC; Optimization -01
*
*
*   Clock source:           - Any 8Mhz clock
*
*   Recommended             - High: 0xD9
*   Fuse settings:          - Low:  0xE4
*
*
*
*   Schematic:       ___________________
*                   |      ATMEGA16     |
*          Vcc ---->|Vcc                |
*          Vcc ---->|RESET              |
*                   |                   |
*          GND ---->|GND                |
*                   |                   |
*                   |       PB2 (OCR1B) |----> DOUT    
*                   |       PB1 (OCR1A) |----> DOUT      
*                   |                   |
*
*******************************************************************************/
#include <avr/io.h>

int main(void)
{
    DDRB = 0x06;                      // Set Port PB1 and PB2 as Output
	
    TCCR1A = (1<<WGM10)|(1<<COM1A1)   // Set up the two Control registers of Timer1. 
			|(1<<COM1B1);             // Wave Form Generation is Fast PWM 8 Bit, 
    TCCR1B = (1<<WGM12)|(1<<CS12)     // OC1A and OC1B are cleared on compare match  
	        |(1<<CS10);               // and set at BOTTOM. Clock Prescaler is 1024.

	OCR1A = 63;                       // Dutycycle of OC1A = 25%
    OCR1B = 127;                      // Dutycycle of OC1B = 50%

	for(;;);                          // Endless loop;
  	                                  // main() will never be left
	return 0;                         // This line will never be executed
}
